Skip to content
Gowd Platform Production

Check transaction status

GET
/order/v1/order/{id}

You can check the transaction status at any time.

NOTE: Please, to authenticate use the scope: “api://app-order-prd”

id
required
string

The resource was returned successfully

object
id
required

The id of the order of which to retrieve the details.

string
idempotencyKey
required

The idempotency key of the order.

string
code
required

Order id in your system.

string
status

Order status.

string
Allowed values: INITIAL PENDING PAID EXPIRED ANALYSIS REFUNDED PARTIAL_REFUNDED PARTIALLY_PAID CANCELED ERROR
customer
required

The customer info.

object
fullName
required

The name of the customer, e.g.: [John Doe] or [Acme Corporation].

string
email
required

The e-mail address of the Customer.

string
type
required

The type of the Customer.

string
Allowed values: INDIVIDUAL ORGANIZATION
document
required

The document of the Customer.

object
type
required

Type of document, used when providing an ID number.

----------------------------
Brasil
----------------------------
CPF
CNPJ
OTHERS

----------------------------
Mexico
----------------------------
CURP,
RFC
string
Allowed values: CPF CNPJ OTHERS CURP RFC
number
required

The number in the document.

string
amount
required

Amount of the order

object
currency
required

Currency

string
Allowed values: BRL USD USDT BUSD
value
required

The amount of the transaction, in minor units. Minor Units Format ------------------ All amount values must be formatted in that currency’s smallest unit. Two-decimal currency (for example Real): R$ 10,95 BRL, amount will be “10.95”. Two-decimal currency (for example US Dollars): $10.95 USD, amount will be “10.95”. Zero-decimal currency (for example Japanese Yen): ¥1095 JPY, amount will be “1095”. Click here to download the latest official ISO 4217 Currency Table, with Minor Units (number of decimal places) per currency

string
baseAmount
required

Amount of the order

object
currency
required

Currency

string
Allowed values: BRL USD USDT BUSD
value
required

The amount of the transaction, in minor units. Minor Units Format ------------------ All amount values must be formatted in that currency’s smallest unit. Two-decimal currency (for example Real): R$ 10,95 BRL, amount will be “10.95”. Two-decimal currency (for example US Dollars): $10.95 USD, amount will be “10.95”. Zero-decimal currency (for example Japanese Yen): ¥1095 JPY, amount will be “1095”. Click here to download the latest official ISO 4217 Currency Table, with Minor Units (number of decimal places) per currency

string
createdAt
required

The date the order was created.

string
paidAt

The date the order was paid.

string
refundedAt

The date the order was refunded.

string
expiredAt

The date the order was expired.

string
compensatedAt

The date the order was compensated.

string
settledAt

The date the order was settled.

string
paymentMethod
required

Payment method.

string
Allowed values: PIX DEPOSIT BOLETO BINANCE_PAY CREDIT_CARD SPEI OXXO PAYNET
payment
required

The payment info.

object
id

The id of the order of which to retrieve the details.

string
qrcodeLink

Link image qrCode.

string
qrcodeData

Data of qrcode.

string
qrcodeBase64

Base64 of image qrCode.

string
deeplink

Deeplink to open binance app to payment.

string
universalUrl

Universal url to finish the payment.

string
returnUrl

The URL for order return after payment Done

string
barcode

The barcode of Boleto

string
expireDateTime

QrCode expiration DateTime

string
digitableLine

The digitable line of Boleto

string
token

Payment token used by the payment provider.

string
feeAdd
required

Aditional fee

string
feeFix
required

Fixed fee

string
feeVar
required

Variable fee

string
amountClient
required

Amount with tax

string
financialPartner
required

The financial Partner of the order.

string
canceledAt
required

The date the order was canceled

string
errorMessage
required

The error message of the order.

string
ownerBank
The owner information.
PS: This field is optional, not all payment methods have this information.
object
name

The name of the owner.

string
document

The document of the owner.

string
bank

The bank information of owner.

object
name

The bank name.

string
ispb

The bank ISPB code.

string
code

The bank code, like COMPE.

string
account

The account number.

string
branch

The branch account number.

string
pix

The pix.

object
type
required

The type of pix

string
Allowed values: CPF CNPJ EMAIL PHONE RANDOM
key
required

The key of pix

string
payer
The payer information.
PS: This field is optional, not all payment methods have this information.
object
name

Payer name

string
document

Payer document

object
type
required

The type of document

string
Allowed values: CPF CNPJ RUC DNI PASSPORT
number
required

The number of document

string
bank

Payer bank data

object
ispb

Bank ISPB number

string
name

Bank name

string
branch

Bank branch account number

string
account

Bank account number

string
accountType

Bank account type

string
Allowed values: CHECKING_ACCOUNT WAGE_ACCOUNT SAVINGS_ACCOUNT PAYMENT_ACCOUNT
code

Bank code (COMPE)

string
pix

Bank pix data

object
type
required

The type of pix

string
Allowed values: CPF CNPJ EMAIL PHONE RANDOM
key
required

The key of pix

string
batch

Batch information when this order was split into a batch

object
id
required

Id of the batch

string
transactionsCount
required

Total number of child transactions in the batch

number
paidCount
required

Number of child transactions already paid

number
failedCount
required

Number of child transactions that failed

number
pendingCount
required

Number of child transactions still pending

number
paidAmount
required

Amount already paid across all child transactions

string
pendingAmount
required

Amount still pending across all child transactions

string
transactions
required

Child transactions the batch was split into

Array<object>
object
id
required

Id of this child transaction

string
idempotencyKey
required

Idempotency key of this child transaction - the first child reuses the batch idempotencyKey verbatim, later ones suffix it

string
sequence
required

Ordering position of this child transaction within the batch

number
amount
required

Amount of this child transaction

string
status
required

Status of this child transaction

string
Allowed values: INITIAL PENDING PAID EXPIRED ANALYSIS REFUNDED PARTIAL_REFUNDED PARTIALLY_PAID CANCELED ERROR
endToEndId

End-to-end id of this child transaction

string
paidAt

Date this child transaction was paid

string
errorMessage

Error message when this child transaction failed

string

The request is not valid

Array<string>

Unauthorized Request

Array<string>

Resource not found

Array<string>

An unexpected error occurred inside the server

Array<string>